Page MenuHomePhabricator

[DWARF] Use getInitialLength in range list parsing
ClosedPublic

Authored by labath on Feb 25 2020, 7:53 AM.

Details

Summary

This could be considered obvious, but I am putting it up to illustrate
the usefulness/impact of the getInitialLength change.

Diff Detail

Event Timeline

labath created this revision.Feb 25 2020, 7:53 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 25 2020, 7:53 AM
Herald added a subscriber: hiraditya. · View Herald Transcript
probinson accepted this revision.Feb 25 2020, 12:24 PM
probinson added a subscriber: probinson.

My goodness that is so much easier to read! LGTM

This revision is now accepted and ready to land.Feb 25 2020, 12:24 PM
jhenderson accepted this revision.Feb 28 2020, 12:48 AM

LGTM too, although I guess this might need rebasing due to the recent error message improvement?

labath added a comment.Mar 2 2020, 2:17 AM

LGTM too, although I guess this might need rebasing due to the recent error message improvement?

Yes, I'll do that before committing. Thanks for all the reviews.

This revision was automatically updated to reflect the committed changes.